NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_pause(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_pause - Pause a scheduled script from running

## Table Of Contents

## Synopsis

- ns_pause id

## Description

This command pauses a scheduled script from running at its next scheduled time. Returns 1 on success, 0 on failure.

## COMMANDS

ns_pause id

## EXAMPLES

       % set id [[ns_schedule_daily 1 0 { ns_log notice "One AM and all is well.  *gong*" }]]
       19

       % ns_pause $id
       1

       % ns_unschedule_proc $id

## See Also

nsd

## Keywords

ns_info, scheduled